import React, { PropTypes } from 'react'
import styled, { css } from 'styled-components'

export const propTypes = {
  backgroundColor: PropTypes.string
}

export const parseProps = ({ backgroundColor, style, ...props }) => {
  const newStyles = {}

  newStyles.backgroundColor = backgroundColor

  return { style: { ...newStyles, ...style }, ...props }
}
